# We have only executables with no debugging symbols, so no need for an empty
# debuginfo package.
%define debug_package %{nil}

Summary: 	Regulatory Daemon for Intel® PRO/Wireless 3945 network adaptors
Name: 		ipw3945d
Version: 	1.7.22
Release: 	6.sl5
License: 	Distributable
Group: 		System Environment/Kernel
URL: 		http://bughost.org/ipw3945/
Packager: 	Urs Beyerle <urs.beyerle@psi.ch>

Source0: 	http://bughost.org/ipw3945/daemon/ipw3945d-%{version}.tgz
Source1: 	ipw3945d.init
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: 	i386 x86_64

%description
The regulatory daemon is responsible for controlling and configuring aspects
of the hardware required to operate the device within compliance of various
regulatory agencies.  This includes controlling which channels are allowed to
do active/passive scanning, transmit power levels, which channels are allowed
to be transmitted on, and support for IEEE 802.11h (DFS and TPC).


%prep
%setup

%build

%install
%{__rm} -rf %{buildroot}
# Install binary daemon
%ifarch i386
%{__install} -D -p -m 0755 x86/ipw3945d %{buildroot}/sbin/ipw3945d
%endif
%ifarch x86_64
%{__install} -D -p -m 0755 x86_64/ipw3945d %{buildroot}/sbin/ipw3945d
%endif
# Install init script
%{__install} -D -p -m 0755 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/rc.d/init.d/ipw3945d

%post
# service off by default
chkconfig --list ipw3945d 2>/dev/null | grep -q on 
if [ "$?" != "0" ]; then
    /sbin/chkconfig --add ipw3945d
    /sbin/chkconfig ipw3945d off
else
    /sbin/chkconfig --add ipw3945d
fi	

%preun
if [ "$1" = "0" ]; then   # last uninstall
    /sbin/service ipw3945d stop &>/dev/null || :
    /sbin/chkconfig --del ipw3945d
fi

%postun
if [ "$1" = "1" ]; then   # update
    /sbin/service ipw3945d condrestart &>/dev/null || :
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE.ipw3945d README.ipw3945d
%{_sysconfdir}/rc.d/init.d/ipw3945d
/sbin/ipw3945d

%changelog
* Thu Mar 15 2007 Urs Beyerle <urs.beyerle@psi.ch> 1.7.22-6.sl5.psi
- build for SL5

* Sat Dec 02 2006 Urs Beyerle <urs.beyerle@psi.ch> 1.7.22-6.sl4.psi
- service off by default

* Mon Nov 27 2006 Urs Beyerle <urs.beyerle@psi.ch> 1.7.22-5.sl4.psi
- small changes in the SPEC file headers

* Mon Nov 27 2006 Urs Beyerle <urs.beyerle@psi.ch> 1.7.22-4.sl4.psi
- Build for SL4
- Changed init script (start ipw3945d twice - needed for FJS Laptops)

* Tue Oct 24 2006 Matthias Saou <http://freshrpms.net/> 1.7.22-3 - 4855/thias
- Fix preun scriplet (missing "fi", doh!).

* Mon Oct 23 2006 Matthias Saou <http://freshrpms.net/> 1.7.22-2
- Include init script, thanks to Stefan Becker.

* Mon Oct  9 2006 Matthias Saou <http://freshrpms.net/> 1.7.22-1
- Update to 1.7.22.

* Thu Mar 30 2006 Matthias Saou <http://freshrpms.net/> 1.7.18-1
- Initial RPM release.

